﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace PhoneBook
{
    public partial class NewContactForm : Form
    {
        public NewContactForm()
        {
            InitializeComponent();
        }

        public Image Image { get; private set; }

        public string FirstName
        {
            get
            {
                return textBoxFirstName.Text;
            }
        }

        public string LastName
        {
            get
            {
                return textBoxLastName.Text;
            }
        }

        public string PhoneNumber
        {
            get
            {
                return textBoxPhone.Text;
            }
        }

        private void buttonBrowseImage_Click(object sender, EventArgs e)
        {
            try
            {
                var fileDialog = new System.Windows.Forms.OpenFileDialog();
                fileDialog.Filter = "Image Files(*.BMP;*.JPG;*.GIF)|*.BMP;*.JPG;*.GIF|All files (*.*)|*.*";

                if (fileDialog.ShowDialog(this) == DialogResult.OK)
                {
                    using (var stream = fileDialog.OpenFile())
                    {
                        Image = Image.FromStream(stream);
                        this.pictureBoxContact.Image = Image;
                    }
                }
            }
            catch (Exception)
            {
                MessageBox.Show("Image cannot be loaded!", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void buttonAdd_Click(object sender, EventArgs e)
        {
            if (String.IsNullOrEmpty(this.PhoneNumber))
            {
                MessageBox.Show("Phone Number field is empty!", "Warning", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                return;
            }

            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}
