﻿using System.Data.SQLite;
using System.Drawing;
using System.Drawing.Imaging;

namespace PhoneBook
{
    namespace Extensions
    {
        internal static class Utils
        {
            public static Image ToImage(this SQLiteBlob blob)
            {
                var size = blob.GetCount();
                byte[] buffer = new byte[size];
                blob.Read(buffer, size, 0);

                using (var ms = new System.IO.MemoryStream(buffer))
                {
                    return new Bitmap(Image.FromStream(ms));
                }
            }

            public static byte[] ToByteArray(this System.Drawing.Image img)
            {
                using (var ms = new System.IO.MemoryStream())
                {
                    Bitmap bmp = new Bitmap(img);
                    bmp.Save(ms, ImageFormat.Bmp);
                    return ms.ToArray();
                }
            }
        }
    }
}
